Subject: Re: bug#38665: [PATCH] Add nosqueeze for fill-paragraph

From: Stefan Kangas <[email-masked]>
Date: Mon, 18 May 2020 21:13:27 -0700

Jefferson Carpenter <[email-masked]> writes:

> Just added this patch for myself, thought I would pass it along for comments and/or for merging should you think it a good idea.
>
> Use case: I'm writing markdown text that goes something like
>
>     Outputs a 12-character string blah blah blah blah or if blah blah blah, returns `"            "`.
>
> In which the markdown contains a literal string with 12 spaces.  When I run fill-paragraph on that, the spaces get collapsed down to 1 space, so I added a customization option to keep the 12-space string unchanged.

Thanks for the patch, and sorry for the much the delayed response.

I think this could go in, if some people find it useful.

Any other opinions?

Best regards,
Stefan Kangas